package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxFamilyMember;
import com.propertyManagement.business.domain.vo.WxFamilyMemberVo;
import com.propertyManagement.business.domain.bo.WxFamilyMemberBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 家庭成员Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxFamilyMemberService {

    /**
     * 查询家庭成员
     */
    WxFamilyMemberVo queryById(Long id);

    /**
     * 查询家庭成员列表
     */
    TableDataInfo<WxFamilyMemberVo> queryPageList(WxFamilyMemberBo bo, PageQuery pageQuery);

    /**
     * 查询家庭成员列表
     */
    List<WxFamilyMemberVo> queryList(WxFamilyMemberBo bo);

    /**
     * 新增家庭成员
     */
    Boolean insertByBo(WxFamilyMemberBo bo);

    /**
     * 修改家庭成员
     */
    Boolean updateByBo(WxFamilyMemberBo bo);

    /**
     * 校验并删除家庭成员信息
     */
    Boolean deleteWithValidById(Long id);

    /**
     * 校验并批量删除家庭成员信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
